> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Safe Delegate With Signature

> Registers the org proposer as Safe delegate via Safe Transaction Service using an owner's EIP-712 signature.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/add-safe-delegate-with-signature
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/add-safe-delegate-with-signature:
    post:
      operationId: addSafeDelegateWithSignature
      summary: Add Safe Delegate With Signature
      description: >-
        Registers the org proposer as Safe delegate via Safe Transaction Service
        using an owner's EIP-712 signature.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSafeDelegateWithSignatureRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddSafeDelegateWithSignatureResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddSafeDelegateWithSignatureRequest:
      type: object
      properties:
        safeAddress:
          type: string
          minLength: 1
        ownerAddress:
          type: string
          minLength: 1
        signature:
          type: string
          minLength: 1
        chainId:
          type: string
          minLength: 1
      required:
        - safeAddress
        - ownerAddress
        - signature
        - chainId
    AddSafeDelegateWithSignatureResponse:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
